Fedora Core 5 : openssl-0.9.8a-5.4 (2006-1004)

High Nessus Plugin ID 24028


The remote Fedora Core host is missing a security update.


- Thu Sep 28 2006 Tomas Mraz <tmraz at redhat.com> 0.9.8a-5.4

- fix CVE-2006-2937 - mishandled error on ASN.1 parsing (#207276)

- fix CVE-2006-2940 - parasitic public keys DoS (#207274)

- fix CVE-2006-3738 - buffer overflow in SSL_get_shared_ciphers (#206940)

- fix CVE-2006-4343 - sslv2 client DoS (#206940)

- Sat Sep 9 2006 Tomas Mraz <tmraz at redhat.com> 0.9.8a-5.3

- fix CVE-2006-4339 - prevent attack on PKCS#1 v1.5 signatures (#205180)

Note that Tenable Network Security has extracted the preceding description block directly from the Fedora security advisory. Tenable has attempted to automatically clean and format it as much as possible without introducing additional issues.


Update the affected packages.

See Also


Plugin Details

Severity: High

ID: 24028

File Name: fedora_2006-1004.nasl

Version: $Revision: 1.13 $

Type: local

Agent: unix

Published: 2007/01/17

Modified: 2015/10/21

Dependencies: 12634

Risk Information

Risk Factor: High

Vulnerability Information

CPE: p-cpe:/a:fedoraproject:fedora:openssl, p-cpe:/a:fedoraproject:fedora:openssl-debuginfo, p-cpe:/a:fedoraproject:fedora:openssl-devel, p-cpe:/a:fedoraproject:fedora:openssl-perl, cpe:/o:fedoraproject:fedora_core:5

Required KB Items: Host/local_checks_enabled, Host/RedHat/release, Host/RedHat/rpm-list

Patch Publication Date: 2006/09/28

Reference Information

FEDORA: 2006-1004